﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Http.Headers;
using System.Text;
using System.Text.Json.Serialization;
using System.Threading;
using System.Threading.Tasks;
using IdentityModel.Client;
using Microsoft.AspNetCore.Mvc;
using Sharing.Province.Dtos.HuiJu;
using Sharing.WebCore;

namespace Sharing.Province.Controllers
{
    public class ProvinceController : BaseController
    {
        private readonly IChannelConfigurationManager _channelConfigurationManager;
        private readonly ProvinceClient _provinceClient;

        public ProvinceController(IChannelConfigurationManager channelConfigurationManager, ProvinceClient provinceClient)
        {
            _channelConfigurationManager = channelConfigurationManager;
            _provinceClient = provinceClient;
        }

        [HttpGet("test")]
        public async Task<string> Test()
        {
            var pusher = PusherProvider.CreatePusher(_provinceClient);
            await pusher.PushOrderCreatedAsync(new SubmitCaseInfoRequest(), HttpContext.RequestAborted);
            var a = _channelConfigurationManager.GetConfigurationProvince().Address;
            return a;
        }
    }
}
